@echo off
cls
echo This should be run in the directory with the Outpost Traders EXE files.
echo Also, you MUST have UNP 3.15 (supplied with Register It! 2.00) in the
echo current directory or in the PATH for this to work.  If you wish to abort,
echo then press Ctrl-C now...
echo;
pause
if not exist OTRADER.EXE goto abort
if not exist OTCONFIG.EXE goto abort
if not exist OTEDIT.EXE goto abort
echo Decompressing OTRADER.EXE...
unp e -a OTRADER.EXE >nul
echo Done decompressing OTRADER.EXE!
echo Decompressing OTCONFIG.EXE...
unp e -a OTCONFIG.EXE >nul
echo Done decompressing OTCONFIG.EXE!
echo Decompressing OTEDIT.EXE...
unp e -a OTEDIT.EXE >nul
echo Done decompressing OTEDIT.EXE!
goto end
:abort
echo Error: One of the Outpost Trader EXE files could NOT be found!  Please make
echo        sure that OTRADER.EXE, OTCONFIG.EXE, and OTEDIT.EXE are all in the
echo        current directory.
:end
echo;
